
/* --------------- Read this ---------------- // English
 * You, i allow to change this part!
 * And don't share your modification after you change this part!
 */

/* --------------- Baca ini ---------------- // Bahasa Indonesia
 * Anda, saya izinkan mengubah bagian ini!
 * Dan jangan membagi modifikasi Anda setelah Anda mengubah bagian ini!
 */

// For higher level precision float //
precision highp float; // Don't changed this

// --------------- Preset Setting ---------------- //
#include ".Assets/pre.function" // -------------- //

// Toggle Feature Setting //
#define PlantWavingEx // Experimental waving

// Feature Setting //
const float PlantWaveSpeed = 1.0; // Speed waving, max value i am recommended 2.0
const float ValueBoost = 0.25; // Color Boost, Max value i am recommended 1.0

// Tonemap settings //
const float A = 1.28;
const float B = 0.41;
const float C = 0.22;
const float D = 0.33;
const float E = 0.02;
const float F = 0.32;

// Overworld coloring //
vec3 duCo = vec3(1.5, 1.1, 1.0); // dusk
vec3 daCo = vec3(1.0, 1.0, 1.0); // day
vec3 niCo = vec3(0.9, 0.9, 1.0); // night
vec3 lidCo = vec3(0.8, 0.3, -0.14); // light coloring at day and dusk
vec3 lniCo = vec3(0.97, 0.32, -0.12); // light coloring at night
vec3 licCo = vec3(0.95, 0.3, -0.21); // light coloring on cave

// Nether coloring //
vec3 neCn = vec3(1.3, 0.9, 0.7);
vec3 lneCn = vec3(1.3, 0.4, -0.3); // light coloring

// The end coloring //
vec3 enCe = vec3(0.9, 0.8, 1.0);
vec3 lenCe = vec3(0.85, 0.5, 0.9); // light coloring

// Underwear coloring //
vec3 unCu = vec3(0.7, 0.8, 1.0);
vec3 lunCu = vec3(0.7, 0.8, 1.38); // light coloring

// Overworld sky coloring //
vec4 daCs = vec4(0.32, 0.43, 0.94, 1.0); // day
vec4 duCs = vec4(0.22, 0.29, 0.58, 1.0); // dusk
vec4 niCs = vec4(0.02, 0.04, 0.13, 1.0); // night
vec4 radaCs = vec4(vec3(0.66), 1.0); // rain at day
vec4 raniCs = vec4(vec3(0.12), 1.0); // rain at night

// The end sky coloring //
vec4 esC = vec4(0.1, 0.12, 0.24, 1.0);

#include ".Assets/lib.function" // ---------------- //
// --------------- Preset Setting ---------------- //